from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XCsvLogFormatter(XLogFormatter, Protocol):
    def formatMultiColumn(self, columnData: sequence< string >) -> str: ...
